Subject: Re: linux-next: manual merge of the broadcom tree with the spdx tree

From: Florian Fainelli <[email-masked]>
Date: Wed, 13 Jul 2022 16:26:33 -0700

On 7/13/22 16:13, Stephen Rothwell wrote:
> Hi all,
> 
> On Mon, 11 Jul 2022 09:55:20 +1000 Stephen Rothwell <[email-masked]> wrote:
>>
>> Today's linux-next merge of the broadcom tree got a conflict in:
>>
>>    arch/arm/mach-bcm/bcm63xx.c
>>
>> between commit:
>>
>>    52e6676ef56f ("treewide: Replace GPLv2 boilerplate/reference with SPDX - gpl-2.0_30.RULE (part 1)")
>>
>> from the spdx tree and commit:
>>
>>    889390f83d4e ("arm: bcmbca: Move BCM63138 ARCH_BCM_63XX to ARCH_BCMBCA")
>>
>> from the broadcom tree.
>>
>> I fixed it up (I just removed the file) and can carry the fix as
>> necessary. This is now fixed as far as linux-next is concerned, but any
>> non trivial conflicts should be mentioned to your upstream maintainer
>> when your tree is submitted for merging.  You may also want to consider
>> cooperating with the maintainer of the conflicting tree to minimise any
>> particularly complex conflicts.
> 
> This is now a conflict between the arm-soc tree and the spdx tree.

There was a link in the cover letter that I sent to the arm-soc 
maintainers referencing your first email. Not sure what else we could 
have done to prevent that conflict.
-- 
Florian